Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030098
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2015-06-04 13:592015-06-18 09:34
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionno change requiredFixed in Version
StatusclosedFix in branchFixed in SCM revision49877fccad05
ProjectionnoneETAnoneTarget Version3.0PR15Q2.2
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelPackaging and release
Regression date2015-05-28
Regression introduced in releasemain
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/aed0c66779e9442c6c92010951125f28179c0e1e [^]
Triggers an Emergency PackNo
Summary

0030098: BP current balance not properly updated when generating credit from Payment In

DescriptionBusiness Partner current balance not properly updated when generating credit from Payment In
Steps To ReproduceAs F&B Admin:

- Go to Client window.
  Move to Dimensions tab.
  Set "Show in Header" = Y for "AR Receipt" document, "Bus.Partner" dimension

- Login/Logout

- Go to Business Partner window and check current balance amount.

- Create a Payment In from "Alimentos y Supermercados" and amount = 20.
  Click on Add Details.
  Uncheck any record in Order/Invoice grid.
  Select "Process Received Payment(s) and Deposit" and "Leave the credit to be used later".
  Click on Done.

- Go to Business Partner window and realize the current balance amount has not been updated.
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00300953.0PR15Q3 closedaferraz BP current balance not properly updated when generating credit from Payment In/Out 

-  Notes
(0078153)
hgbot (developer)
2015-06-09 13:10

Repository: erp/backports/3.0PR15Q2.2
Changeset: 49877fccad050b71315e685a5f9ed78f11bb475d
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Jun 04 17:47:14 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.2/rev/49877fccad050b71315e685a5f9ed78f11bb475d [^]

Fixes issue 30098: BP current balance not properly updated

Change condition in FIN_PaymentProcess to take into account when the paymend does not have order nor invoice related (when it only has a g/l item, when we are genereting credit or when we are refunding amount).

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
---
(0078155)
vmromanos (developer)
2015-06-09 13:11

Code review + testing OK
(0078345)
hgbot (developer)
2015-06-17 19:00

Repository: erp/backports/3.0PR15Q2.2
Changeset: 9f250bdc7db79bcfb5a070d52301d62a3bfcbd76
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Jun 17 14:25:28 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.2/rev/9f250bdc7db79bcfb5a070d52301d62a3bfcbd76 [^]

Related to issue 30098: Backout changeset 49877fccad05

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
---

- Issue History
Date Modified Username Field Change
2015-06-04 16:39 aferraz Type defect => backport
2015-06-04 16:39 aferraz Target Version 3.0PR15Q3 => 3.0PR15Q2.2
2015-06-09 13:10 hgbot Checkin
2015-06-09 13:10 hgbot Note Added: 0078153
2015-06-09 13:10 hgbot Status scheduled => resolved
2015-06-09 13:10 hgbot Resolution open => fixed
2015-06-09 13:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.2/rev/49877fccad050b71315e685a5f9ed78f11bb475d [^]
2015-06-09 13:11 vmromanos Review Assigned To => vmromanos
2015-06-09 13:11 vmromanos Note Added: 0078155
2015-06-09 13:11 vmromanos Status resolved => closed
2015-06-09 13:11 vmromanos Severity critical => major
2015-06-10 13:13 dmitry_mezentsev Tag Attached: Approved
2015-06-17 14:43 aferraz Status closed => new
2015-06-17 14:43 aferraz Resolution fixed => open
2015-06-17 19:00 hgbot Checkin
2015-06-17 19:00 hgbot Note Added: 0078345
2015-06-18 09:25 aferraz Target Version 3.0PR15Q2.2 => 3.0PR15Q2.3
2015-06-18 09:33 aferraz Target Version 3.0PR15Q2.3 => 3.0PR15Q2.2
2015-06-18 09:34 aferraz Review Assigned To vmromanos => aferraz
2015-06-18 09:34 aferraz Status new => closed
2015-06-18 09:34 aferraz Resolution open => no change required


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker